Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.transform
Interface Transform<T>

    public interface Transform<T>

A `Transform` represents a an object used to transform an object to and from a string value. This is typically used when either an `Attribute` or `Element` annotation is used to mark the field of a type that does not contain any of the XML annotations, and so does not represent an XML structure. For example take the following annotation.

        @Text
        private Date date;

The above annotation marks an object from the Java class libraries which does not contain any XML annotations. During serialization and deserialization of such types a transform is used to process the object such that it can be written and read to and from XML.

Author:
  Niall Gallagher

Method Summary
`T` | `read(java.lang.String value)` This method is used to convert the string value given to an appropriate representation.
`java.lang.String` | `write(T value)` This method is used to convert the provided value into an XML usable format.

Method Detail

### read

    T read(java.lang.String value)
           throws java.lang.Exception

  This method is used to convert the string value given to an appropriate representation. This is used when an object is being deserialized from the XML document and the value for the string representation is required.

  Parameters:
    `value` - this is the string representation of the value
  Returns:
    this returns an appropriate instanced to be used
  Throws:
    `java.lang.Exception`

### write

    java.lang.String write(T value)
                           throws java.lang.Exception

  This method is used to convert the provided value into an XML usable format. This is used in the serialization process when there is a need to convert a field value in to a string so that that value can be written as a valid XML entity.

  Parameters:
    `value` - this is the value to be converted to a string
  Returns:
    this is the string representation of the given value
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD